/* Preload loading svg animation */
loading = new Image();
loading.src = "../img/loading.svg";

buildElement ({
    append: document.body,
    attribs: {
        id: "wrapper",
        class: "group"
    },
    content: [
        buildElement ({
            attribs: {
                id: "title",
                class: ["title", "group"],
            },
            content: buildElement ({
                type: "span",
                content: "Quality"
            })
        }),
        buildElement ({
            attribs: {
                id: "notice",
                class: ["notice", "group"],
            },
            content: buildElement ({
                type: "span",
                content: "Select stream quality"
            })
        }),
        buildElement ({
            attribs: {
                id: "qualities",
                class: ["list", "smooth", "group"],
            },
            empty: true,
            content: [
                buildElement ({
                    attribs: {
                        class: ["block"],
                        dataset: {
                            quality: "1080p"
                        }
                    },
                    content: "1080p"
                }),
                buildElement ({
                    attribs: {
                        class: ["block"],
                        dataset: {
                            quality: "720p"
                        }
                    },
                    content: "720p"
                }),
                buildElement ({
                    attribs: {
                        class: ["block"],
                        dataset: {
                            quality: "480p"
                        }
                    },
                    content: "480p"
                }),
                buildElement ({
                    attribs: {
                        class: ["block"],
                        dataset: {
                            quality: "360p"
                        }
                    },
                    content: "360p"
                })
            ]
        })
    ]
});

// Emit to main.js
var qualities = document.querySelectorAll ("#qualities .block");
// For each add click event
for (var i = 0; i < qualities.length; i++) {
    qualities[i].addEventListener("click", launchStreamer, false);
}
